Login
POST
/auth/v1/loginRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.LoginRequest",
"$ref-value": {
"type": "object",
"properties": {
"email": {
"type": "string",
"title": "email"
},
"password": {
"type": "string",
"title": "password"
}
},
"title": "LoginRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.LoginResponse",
"$ref-value": {
"type": "object",
"properties": {
"status": {
"type": "string",
"title": "status",
"description": "\"ok\" | \"2fa_required\" | \"email_not_verified\""
},
"session_id": {
"type": "string",
"title": "session_id"
},
"email": {
"type": "string",
"title": "email"
},
"access_token": {
"type": "string",
"title": "access_token"
},
"refresh_token": {
"type": "string",
"title": "refresh_token"
},
"expires_in": {
"type": "string",
"title": "expires_in",
"format": "int64"
},
"token_type": {
"type": "string",
"title": "token_type"
},
"requires_action": {
"type": "string",
"title": "requires_action"
},
"authentication": {
"type": "array",
"items": {
"$ref": "#/components/schemas/auth.v1.AuthMethod",
"$ref-value": {
"type": "string",
"title": "AuthMethod",
"enum": [
"AUTH_METHOD_UNSPECIFIED",
"AUTH_METHOD_PASSKEY",
"AUTH_METHOD_TOTP"
]
}
},
"title": "authentication",
"description": "authentication lists the 2FA methods the user has configured when\n status is \"2fa_required\". The public API renders these as lowercase\n strings: \"passkey\", \"totp\"."
},
"passkey_options": {
"type": "string",
"title": "passkey_options",
"format": "byte",
"description": "passkey_options is the WebAuthn PublicKeyCredentialRequestOptions as JSON,\n present only when \"passkey\" is one of the authentication methods."
}
},
"title": "LoginResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/login" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.LoginResponse",
"$ref-value": {
"type": "object",
"properties": {
"status": {
"type": "string",
"title": "status",
"description": "\"ok\" | \"2fa_required\" | \"email_not_verified\""
},
"session_id": {
"type": "string",
"title": "session_id"
},
"email": {
"type": "string",
"title": "email"
},
"access_token": {
"type": "string",
"title": "access_token"
},
"refresh_token": {
"type": "string",
"title": "refresh_token"
},
"expires_in": {
"type": "string",
"title": "expires_in",
"format": "int64"
},
"token_type": {
"type": "string",
"title": "token_type"
},
"requires_action": {
"type": "string",
"title": "requires_action"
},
"authentication": {
"type": "array",
"items": {
"$ref": "#/components/schemas/auth.v1.AuthMethod",
"$ref-value": {
"type": "string",
"title": "AuthMethod",
"enum": [
"AUTH_METHOD_UNSPECIFIED",
"AUTH_METHOD_PASSKEY",
"AUTH_METHOD_TOTP"
]
}
},
"title": "authentication",
"description": "authentication lists the 2FA methods the user has configured when\n status is \"2fa_required\". The public API renders these as lowercase\n strings: \"passkey\", \"totp\"."
},
"passkey_options": {
"type": "string",
"title": "passkey_options",
"format": "byte",
"description": "passkey_options is the WebAuthn PublicKeyCredentialRequestOptions as JSON,\n present only when \"passkey\" is one of the authentication methods."
}
},
"title": "LoginResponse",
"additionalProperties": false
}
}